You can upgrade VMware Tools manually, or you can configure virtual machines to check for and install newer versions of VMware Tools

The following conditions are required for automatic upgrades:

Virtual machines must have a version of VMware Tools shipped with ESX Server 3.0.1 or greater installed.

Virtual machines must be hosted on an ESX Server 3.0.1 or greater, and the vCenter Server must be version 2.0.1 or greater.

Virtual machines must be running a Linux or Windows guest OS that is supported by ESX Server 3.0.1 or greater and vCenter Server 2.0.1 or greater.

Virtual machines must be powered on.